Subject: Re: [Roll] Last Call: <draft-ietf-roll-trickle-mcast-06.txt> (Multicast Protocol for Low power and Lossy Networks (MPL)) to Proposed Standard

From: Ines Robles <[email-masked]>
Date: Tue, 11 Feb 2014 11:00:01 -0200

Thank you Kerry for your comments,

It will be addressed by the authors.

Kind Regards,

2014-02-10 16:44 GMT-03:00 Kerry Lynn <[email-masked]>:

> Hi Jonathan,
>
> I apologize for the fact that these comments/questions are late but offer
> them anyway...
>
>
> 3. Applicability Statement
>
> OLD:
>
>    Operationally, the scope of this protocol is administratively
>    determined.  In other words, the scope of dissemination is determined
>    by routers configured to disallow transmission or reception of MPL
>    messages on a subset of interfaces.
>
>
> This language predates the alignment with I-D.ietf-6man-multicast-scopes
> and I suspect
> it is no longer generally true.  I recommend deleting it.
>
>
> 4.1.  MPL Domains
>
> OLD:
>
>    When MPL is used in deployments that use administratively defined
>    scopes that cover, for example, multiple subnets based on different
>    underlying network technologies, Admin-Local scope (scop value 4) and
>    /or Site-Local scope (scop value 5) SHOULD be used.
>
>
> I'm not clear on whether, in deployments where scop values 4 and/or 5 are
> in use, a node
> should participate in the ALL_MPL_FORWARDERS multicast address for each
> multicast
> scope in use or just the highest scope in use.
>
>
> 5.4  MPL Forwarder Parameters
>
> OLD:
>
>    PROACTIVE_FORWARDING  A boolean value that indicates whether the MPL
>       Forwarder schedules MPL Data Message transmissions after receiving
>       them for the first time.  It is RECOMMENDED that all MPL
>       Interfaces attached to the same link of a given MPL Domain use the
>       same value for PROACTIVE_FORWARDING and has a default value of
>       TRUE.  The mechanism for setting PROACTIVE_FORWARDING is not
>       specified within this document.
>
>    SEED_SET_ENTRY_LIFETIME  The minimum lifetime for an entry in the
>       Seed Set.  SEED_SET_ENTRY_LIFETIME has a default value of 30
>       minutes.  It is RECOMMENDED that all MPL Forwarders use the same
>       value for SEED_SET_ENTRY_LIFETIME for a given MPL Domain and has a
>       default value of 30 minutes.  The mechanism for setting
>       SEED_SET_ENTRY_LIFETIME is not specified within this document.
>
>
> NEW:
>
>       ...
>       PROACTIVE_FORWARDING has a default value of TRUE.
>
>       ...
>       It is RECOMMENDED that all MPL Forwarders use the same
>       value for SEED_SET_ENTRY_LIFETIME for a given MPL Domain and *use* a
>       default value of 30 minutes.
>
> I think you were already planning to delete the RECOMMEND that all MPL
> Interfaces
> on the same link use the same value for PROACTIVE_FORWARDING.  The second
> suggestion is just grammatical.
>
> Regards, -K-
>
>
>
>
> On Fri, Jan 24, 2014 at 3:16 PM, The IESG <[email-masked]> wrote:
>
>> The IESG has received a request from the Routing Over Low power and Lossy
>> networks WG (roll) to consider the following document:
>> - 'Multicast Protocol for Low power and Lossy Networks (MPL)'
>>   <draft-ietf-roll-trickle-mcast-06.txt> as Proposed Standard
>>
>> This is a second last call, the first one having been abandoned to send
>> the document back to the working group. But the latest revision addresses
>> comments that were received during the first last call.
>>
>> The IESG plans to make a decision in the next few weeks, and solicits
>> final comments on this action. Please send substantive comments to the
>> [email-masked] mailing lists by 2014-02-07. Exceptionally, comments may be
>> sent to [email-masked] instead. In either case, please retain the
>> beginning of the Subject line to allow automated sorting.
>>
>> Abstract
>>
>>    This document specifies the Multicast Protocol for Low power and
>>    Lossy Networks (MPL) that provides IPv6 multicast forwarding in
>>    constrained networks.  MPL avoids the need to construct or maintain
>>    any multicast forwarding topology, disseminating messages to all MPL
>>    Forwarders in an MPL Domain.  MPL uses the Trickle algorithm to
>>    manage message transmissions for both control and data-plane
>>    messages.  Different Trickle parameter configurations allow MPL to
>>    trade between dissemination latency and transmission efficiency.
>>
>>
>> The file can be obtained via
>> http://datatracker.ietf.org/doc/draft-ietf-roll-trickle-mcast/
>>
>> IESG discussion can be tracked via
>> http://datatracker.ietf.org/doc/draft-ietf-roll-trickle-mcast/ballot/
>>
>>
>> The following IPR Declarations may be related to this I-D:
>>
>>    http://datatracker.ietf.org/ipr/1858/
>>
>>
>>
>> _______________________________________________
>> Roll mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/roll
>>
>
>
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll
>
>

---

From: Kerry Lynn <[email-masked]>
Date: Mon, 10 Feb 2014 14:44:36 -0500

Hi Jonathan,

OLD:

4.1.  MPL Domains

OLD:

OLD:

NEW:

      ...

      ...

Regards, -K-